
import '../hera.pbenum.dart';

bool containsIdPassword({required List<LoginType> supportedAuthMechanisms}){
  return supportedAuthMechanisms.contains(LoginType.PHONE_PASSWORD) ||supportedAuthMechanisms.contains(LoginType.EMAIL_PASSWORD) || supportedAuthMechanisms.contains(LoginType.USERNAME_PASSWORD);
}

bool validateEmail(email) => RegExp(
    r"^[a-zA-Z0-9.a-zA-Z0-9.!#$%&'*+-/=?^_`{|}~]+@[a-zA-Z0-9]+\.[a-zA-Z]+")
    .hasMatch(email);

bool validateMobile(String value) {
  String patttern = r'(^(?:[+0]9)?[0-9]{10,12}$)';
  RegExp regExp = new RegExp(patttern);
  if (value.isEmpty) {
    return false;
  }
  else if (!regExp.hasMatch(value)) {
    return false;
  }
  return true;
}